TITLE                                                                      { vib13.pde }
   'Plate With Free Boundaries'
{ Eigenstates of in-plane vibration }
{ From "Deformation and Vibration" by Gunnar Backstrom }
SELECT
   modes= 8             errlim= 1e-2            plotintegrate= off
VARIABLES
   ur           vr
DEFINITIONS
   L= 1         h= 0.8
   dens= 7.8e3          mu = 0.3         E = 200e9      { Steel }
#include 'vibuvr.inc'
   freq= sqrt( lambda/ dens)/(2*pi)                             { Frequency }
EQUATIONS               { Eigenvalue= lambda }
   ur:        dx( sxr)+ dy( sxyr)+ lambda*ur= 0
   vr:        dx( sxyr)+ dy( syr)+ lambda*vr= 0
BOUNDARIES
region 'steel'
   start (0,-h/2)
   load( ur)= 0         load( vr)= 0   line to (L,-h/2)                 { Free }
   value( ur)= 0        value( vr)= 0  line to (L,h/2)
   load( ur)= 0      load( vr)= 0   line to (0,h/2)             { Free }
   value( ur)= 0        value( vr)= 0  line to close
MONITORS
   grid( x+0.05*ur, y+0.05*vr)  report( freq)
PLOTS
   contour( ur)                         contour( vr)
   vector( urvr) norm           grid( x+0.05*ur, y+0.05*vr)  report( freq)
END "EvbtWySmBmeHXEQNaLaLkhzIJJ2qTDhloYEmogY49aOCXwXrS7/EpDKQLTtab//h3WDb57Up9jC9n9C0T3odVLen1zoK3VPx4fmWLAGHu5d5FctEeiPK7Asqg/cnNfElA+68UPdsDnTujt6zWH7z43sPO229GOVQvfwDB1DrZPk"
