TITLE                                                           { lapl2.pde }
   'Laplace Equation'
{ Solve a simple Laplace equation and compare to the analytic solution. }
{ From "Fields of Physics" by Gunnar Backstrom }
SELECT
   errlim= 1e-5                         { Requested relative accuracy }
VARIABLES
   U                                            { Unknown }
DEFINITIONS
   Lx= 1           Ly= 1
   U_ex= x^2- y^2                       { Exact solution }
EQUATIONS
   dxx(U)+ dyy(U)= 0                    { Laplace PDE }
BOUNDARIES
region 1
   start(-Lx,-Ly)
   natural(U)= 2*y   line to (Lx,-Ly)                  { Outward derivative }
   value(U)= U_ex   line to (Lx,Ly)
   value(U)= U_ex   line to (-Lx,Ly)
   value(U)= U_ex   line to close
PLOTS
   contour(U)                   surface(U)
   contour(U_ex)                contour(U-U_ex)
END "GdQEL/osg1WfEnkZoc+muMi4NbasS2w0C99/LuezOeAfWiPMXgOFdxfA6LMLSq8QpMo1ddgmhWcg5YUagOemFOddlrYM1dVHARGAz8swQGimNHejjhmV4qgPglIP83UxY/Uy59emH2yYdft3lhc2evpFbALFDSv60eVjfFajdL0"
 
 
 
