{ 1D_SLAB.PDE

    This problem analyzes heat flow in a slab using 1D cartesian coordinates.
}

TITLE 'Heat flow through an Insulating layer in 1D'

COORDINATES
  Cartesian1  { default coordinate is 'X' }

VARIABLES
  Phi       { the temperature }

DEFINITIONS
  K = 1     { default conductivity }
  R = 0.5       { insulator thickness }

EQUATIONS
  Phi: Div(-k*grad(phi)) = 0
 
BOUNDARIES
  REGION 1      { the total domain }
    START(-1)   POINT VALUE(Phi)=0  
    LINE TO (1) POINT VALUE(Phi)=1  
    { note: no 'close'! }
  REGION 2  'blob'  { the embedded layer }
    k = 0.001
    START (-R) LINE TO (R)

PLOTS
  ELEVATION(Phi) FROM (-1) to (1)

END "DgRLQIDRX0eZ61JQYvfL0SrQadfEsh8c4TMBjhA1u0SJFyWZBwpltIa8w6TTT6rRzQ2/K7OUvpsLlKFBLAnHoD4HBzxa9dOdbziHMtgNFGd/f0sSLBnOWTrKADersYV4LjU3XNWcJF50+8vRFz93vVKqMIXOTNnOho0+gEhdiLK"
