{ CUBES_BIGSMAll_OBJIMPORT.PDE

  This sample demonstrates the import of a bounding mesh in OBJ file format.
  It uses the MATERIALS and BOUNDARY CONDITIONS sections to tie names stated
  in the OBJ file to FlexPDE properties.

  The OBJ file contains :
    two objects named 'big' and 'small' that will be bound to material sets.
    three groups named 'left', 'middle', and 'right' that will be bound to BC sets.
}
title 'Import OBJ Cubes Bigsmall'

coordinates cartesian3

variables u

select
regrid=off
refineobj=off ! do not refine the initial OBJ mesh

materials
  'small': k=1
  'big'  : k=2

boundary conditions
  'bottom'  : value(u)=1
  'middle': contact(u)=jump(u)/0.5
  'top' : value(u)=10

equations u: div(k*grad(u))=0

boundaries import OBJ 'cubes_bigsmall.obj'

plots
  grid(x,y,z)
  grid(y,z) on x=4
  grid(x,z) on y=3
  contour(u) on x=4
  contour(u) on y=3
end "IhByyll09L2cEAXhmycNKgAdRyh2yKfSsPXtClWYwwdvG2BKIHkHpe2bKF49BoLWAZoMRw7GLvf0/gWMz8TCLNsDJ9RX5jihY63kV8LVLmmL6KiTHZ5YfMSnhJo9AeFRm9xenC8SpYkjJMvF75GfrO9F1XgvMf4AAIWZnCGH1Ol"
