{ 3D_PLOTON.PDE

  This problem shows some of the possible 'ON' qualifiers for 3D plots.

}
 
title '3D Test  --  Plot Qualifiers'
 
coordinates
    cartesian3
 
Variables
    u
 
definitions
    k = 0.1
    heat = 4
 
equations
    U:     div(K*grad(u)) + heat   = 0
 
extrusion
    surface "S1" z = 0 
       layer 'one'
    surface "S2" z = 0.8-0.3*(x^2+y^2)
       layer 'two'
    surface "S3" z = 1.0-0.3*(x^2+y^2)
 
boundaries
    region 1 'outer'
        layer 'two' k = 1
        start(-1,-1)
            value(u) = 0
        line to (1,-1) to (1,1) to (-1,1) to close
    region 2 'plug'
        layer 'two' k = 1
        start 'dot' (0.5,0.5) arc(center=0,0) angle=360
 
plots
     grid(x,y,z) on "outer" as "Only Region 1, both layers"
     grid(x,y,z) on 'plug' on layer "two"  as "Region 2 Layer 2"
     grid(x,y,z) on region 'plug' on layers "one","two" paintregions as "Region 2, both layers"
     grid(y,z)  on x=0 on 'plug'    as "Cut plane on region 2"
     contour(u) on x=0.51    on layer "two"  as "Solution on X-cut in layer 2"  
     contour(u) on z=0.51   on  region "Plug"  as "Solution on Z-cut in region 2"
     contour(u) on surface "S2"  on region "plug" as "Solution on paraboloidal layer interface"
     vector(grad(u)) on surface "S2" on 'outer'  as "Flux on layer interface in region 1"
     glcontour(u) on 'outer' on 'two'
     glcontour(k*dx(u)) on 'outer' on 'two'
 
end "Ez/QWEyJxan0uxX4VaSHmMGoxhnDi+4UKhuM302AgeYk6+ZjOoWE4Fo1kcUk/JMVhTZr04DcC6xglf4uVbcn4v8b/OH66RxL6T7K6ajvqBJGbqXE5z8aXGd2SPF5Z9QWxF4rGfCqMmcywJzYf3z4fhmx/xq9JgsLPZTUgO800mc"
